Bug 734666 - Black screen after resuming from sleep
Summary: Black screen after resuming from sleep
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-31 06:10 UTC by Anil Seth
Modified: 2012-07-11 12:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-11 12:33:59 UTC


Attachments (Terms of Use)

Description Anil Seth 2011-08-31 06:10:56 UTC
Description of problem:
Lenovo S10-3 does not wake up from sleep. Just shows a black screen. Adding 'intel_idle.max_cstate=0' to the kernel boot options was the workaround until 2.6.39. It is no longer working.

Version-Release number of selected component (if applicable):
2.6.40.3-0.fc15.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1.Close lid.
2.Wait for it to sleep.
3.Open lid.
  
Actual results:
Black screen.

Expected results:
Should resume session.

Additional info:
The same issue:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=636102

Comment 1 Dave Jones 2012-04-11 17:07:45 UTC
still a problem with the 2.6.43 update ?

Comment 2 Anil Seth 2012-04-13 07:54:11 UTC
I am on 3.3.1-3. Still the same problem.
Hibernate, though, works.

Comment 3 Anil Seth 2012-07-11 06:26:42 UTC
Finally, on Fedora 17 - Kernel 3.4.4-3.fc17.x86_64, Lenovo S10-3 sleep is working!

Comment 4 Josh Boyer 2012-07-11 12:33:59 UTC
Thanks Anil.  We'll close this out for now.  If it fails again, we can reopen or open a new bug.


Note You need to log in before you can comment on or make changes to this bug.